Customers

Get Customer

Get a customer by ID or external ID. The customerId parameter works with both internal and external IDs.

GET
/api/v1/customers/{customerId}
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

customerId*string

The internal ID or external ID of the customer

Response Body

application/json

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/customers/string"
{
  "success": true,
  "customer": {
    "id": "string",
    "teamId": "string",
    "externalId": "string",
    "name": "string",
    "vatNumber": "string",
    "enterpriseNumber": "string",
    "peppolAddresses": [
      "string"
    ],
    "address": "string",
    "city": "string",
    "postalCode": "string",
    "country": "string",
    "email": "string",
    "phone": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}